[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Yum not working after upgrade



On Sat, 20 Jun 2009 18:49:22 +0100
Colin Paul Adams <colin colina demon co uk> wrote:

> 
> Yum is not working after I upgraded from F10 to F11.
> 
> yum update
> 
> gives me:
> 
> here was a problem importing one of the Python modules
> required to run yum. The error leading to this problem was:
> 
>    No module named yum
> 
> Please install a package which provides this module, or
> verify that the module is installed correctly.
> 
> It's possible that the above module doesn't match the
> current version of Python, which is:
> 2.6 (r26:66714, Mar 17 2009, 11:44:14) 
> [GCC 4.4.0 20090313 (Red Hat 4.4.0-0.26)]
> 
> If you cannot solve this problem yourself, please go to 
> the yum faq at:
>   http://wiki.linux.duke.edu/YumFaq
> 
> rpm -q yum gives me:
> 
> yum-3.2.23-3.fc10.noarch
> 
> so it looks like it wasn't upgraded.
> 
> How am I supposed to fix this by hand?

If you have network access, go to a repository, (a browser should do)
and find the F11 yum rpm.  Download it to your system.

http://mirrors.fedoraproject.org/publiclist/Fedora/11/

As root, run    rpm -Uvh yum-package-name.

Then repeat your query above to confirm it was installed.

The fact that something as basic as yum didn't get upgraded on your
system would make me concerned about the success of the upgrade.  Did
the repositories get upgraded to the F11 repositories?

Check in /etc/yum.repos.d/ to see that they are for F11.

Before you do a general update, run

yum update yum*
and
yum update rpm*
to be sure that the update systems are all at latest versions.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]